<?php

namespace FreenetRouter\Libraries\ConfigEntryManagers;

/**
 * @author Jakub Petržílka <kubapet@lbcfree.net>
 */
class MailServerManager implements IConfigEntryManager
{  
    public function getValue()
    {
        if (($f = fopen("/etc/ssmtp/ssmtp.conf","r"))) {        
            while (!feof($f)) {            
                $value = preg_split("/[\ =\t\n]+/", fgets($f,1024));
                if ($value[0] == "mailhub") {
                    return $value[1];
                }
            }
            fclose($f);
        }
        return "";
    }

    public function setValue($value)
    {
        $server = value;
        if (!is_dir("/tmp/ssmtp")) {
               mkdir("/tmp/ssmtp");
           }
           if(($soubor = fopen("/tmp/ssmtp/ssmtp.conf","w")))
           {
               if(($f = fopen("/etc/ssmtp/ssmtp.conf","r"))) 
               {
                   $pom = true;
                   $pom1 = false;
                   $pom2 = false;
                   $pom3 = false;

                   while (!feof($f)) {
                     $value = fgets($f,1024);
                     $value_array = preg_split("/[\ =\t\n]+/", $value);
                     if ($value_array[0] == "mailhub") {
                         fwrite($soubor,"mailhub=".$server."\n");
                         $pom1 = true;
                     } else if ($value_array[0] == "hostname") {
                         fwrite($soubor,"hostname=".get_hostname().".".get_domain()."\n");
                         $pom2 = true;
                     } else if ($value_array[0] == "root") {
                         fwrite($soubor,$value);
                         $pom3 = true;
                     } else {
                         fwrite($soubor,$value);
                     }
                   }                          
                   fclose($f);
               }
               if (!$pom) {
                   fwrite($soubor,"# Config file for sSMTP sendmail\n");
               }
               if (!$pom1) {
                   fwrite($soubor,"mailhub=".$server."\n");
               }
               if (!$pom2) {
                   fwrite($soubor,"hostname=".get_hostname().".".get_domain()."\n");
               }
               if (!$pom3) {
                   fwrite($soubor,"root=postmaster\n");
               }
               if (!$pom) {
                   fwrite($soubor,"#rewriteDomain=".get_domain()."\n");
                   fwrite($soubor,"FromLineOverride=NO\n");
               }
               fclose($soubor);
               exec("sudo /bin/cp -a /tmp/ssmtp /etc/");
           }        
    }

}
