<?php

namespace FreenetRouter\Libraries\ConfigEntryManagers;

/**
 * @author Jakub Petržílka <kubapet@lbcfree.net>
 */
class SecondaryDnsManager implements IConfigEntryManager
{  
    public function getValue()
    {
    if (($f = fopen("/etc/resolvconf/resolv.conf.d/base","r"))) {
	$pom = false;        
        while (!feof($f)) {            
	    $value = preg_split("/[\ \t\n]+/", fgets($f,1024));
	    if (($value[0] == "nameserver") && (!$pom)) {
		$pom = true;
	    } else if (($value[0] == "nameserver") && ($pom)) {
		return $value[1];
	    }
        }
        fclose($f);
    }
    return "";
    }

    public function setValue($value)
    {
        
    }

}
