<?php

namespace FreenetRouter\Libraries\ConfigEntryManagers;

/**
 * @author Jakub Petržílka <kubapet@lbcfree.net>
 */
class WritableManager implements IConfigEntryManager
{  
    public function getValue()
    {
        $MOUNTINFO = null;
        exec('mount',$MOUNTINFO);

        foreach ($MOUNTINFO as $line) 
        {
            $pos = strpos($line, 'VOYAGE_FS');

            if($pos !== false)
            {
                return strpos($line, '(ro,') === false;
            }       	
        }

        return false;        
    }

    public function setValue($value)
    {
        if ($value=="true")
        {
            exec('sudo /usr/local/sbin/rw');
        }
        else
        {
            exec('sudo /usr/local/sbin/ro');
        }
    }

}
