<?php

namespace Phem\Environment;

use Phem\Core\Object;

/**
 * @author Jakub Petržílka <petrzilka@czweb.net>
 */
class Resource extends Object
{
    private $name;
    private $path;
    
    /**
        *
        * @var ResourceType 
        */
    private $type;
    
    private $recursiveLoad;
    private $priority;

    public function getName()
    {
        return $this->name;
    }

    public function getPath()
    {
        return $this->path;
    }

    public function getType()
    {
        return $this->type;
    }

    public function getRecursiveLoad()
    {
        return $this->recursiveLoad;
    }

    public function getPriority()
    {
        return $this->priority;
    }

    public function setName($name)
    {
        $this->name = $name;
    }

    public function setPath($path)
    {
        $this->path = $path;
    }

    public function setType($type)
    {
        $this->type = $type;
    }

    public function setRecursiveLoad($recursiveLoad)
    {
        $this->recursiveLoad = $recursiveLoad;
    }

    public function setPriority($priority)
    {
        $this->priority = $priority;
    }


}
