<?php

namespace Phem\Libraries\Forms\Model;

/**
 * @Entity(readOnly=true) @Table(name="povruc_form_condition") 
 * 
 */
class FormFieldCondition
{
    /** @Id @Column(type="integer") */
    private $id;
    
    /** 
     * @ManyToOne(targetEntity="FormField",cascade={"all"})
     * @JoinColumn(name="sourceField", referencedColumnName="id") 
     */
    private $sourceField;
    
    /** @Column(type="string") */
    private $triggerValue;
    
    /** @Column(type="string") */
    private $action;
    
    /** 
     * @ManyToOne(targetEntity="FormField",cascade={"all"})
     * @JoinColumn(name="targetField", referencedColumnName="id") 
     */
    private $targetField;    
    
    public function getId()
    {
        return $this->id;
    }

    public function setId($id)
    {
        $this->id = $id;
    }

    public function getSourceField()
    {
        return $this->sourceField;
    }

    public function setSourceField($sourceField)
    {
        $this->sourceField = $sourceField;
    }

    public function getTriggerValue()
    {
        return $this->triggerValue;
    }

    public function setTriggerValue($triggerValue)
    {
        $this->triggerValue = $triggerValue;
    }

    public function getAction()
    {
        return $this->action;
    }

    public function setAction($action)
    {
        $this->action = $action;
    }

    public function getTargetField()
    {
        return $this->targetField;
    }

    public function setTargetField($targetField)
    {
        $this->targetField = $targetField;
    }
        
}

?>
