<?php

namespace Phem\Libraries\MessageBus;

use React\EventLoop\LoopInterface;

/**
 * @author Jakub Petržílka <petrzilka@czweb.net>
 */
abstract class WebsocketPuller extends Puller
{

    protected $msgBus;
    protected $server;

    abstract public function __construct(LoopInterface $loop, MessageBus $msgBus);

    abstract public function listen($ip,$port);

}
