<?php

namespace Phem\Libraries\Security\Authorization;

use Phem\Libraries\Security\Model\Common\Task;
use Phem\Libraries\Security\Model\Common\User;

interface IAuthorizationProvider
{
    const PERMISSION_ALLOWED = 1;
    const PERMISSION_DENIED = 0;
    const PERMISSION_UNKNOWN = -1;

    public function canTask(User $user, Task $task);
}