<?php

namespace Phem\Libraries\Security\Management;

use Phem\Libraries\Security\Model\Common\Controller;
use Phem\Libraries\Security\Model\Common\Group;
use Phem\Libraries\Security\Model\Common\Task;
use Phem\Libraries\Security\Model\Common\Permission;

interface IPermissionManager
{
    public function getPermissions(Permission $prototype = null, $orderBy = null, $limit = null);
    public function addPermission(Permission $permission);
    public function removePermission(Group $group,Task $task);
    public function removeControllerPermission(Group $group,Controller $controller);    
    public function getTasks(Group $group);
    public function getGroups(Task $task);

}