<?php

namespace Phem\Libraries\UI\Model;

use Phem\Core\Collection;

/**
 * @author Jakub Petržílka <petrzilka@czweb.net>
 */
class Button extends Control
{

    private $text;
    private $icon;
    private $mainStyle;
    private $onClick;
    
    function __construct($parent)
    {
        parent::__construct($parent);
        $this->onClick = new Collection();
    }     
    
    public function getText()
    {
        return $this->text;
    }

    protected function setText($text)
    {
        $this->text = $text;
    }

    public function getValue()
    {
        return $this->getText();
    }

    protected function setValue($value)
    {
        $this->setText($value);
    }
    
    public function getIcon()
    {
        return $this->icon;
    }

    protected function setIcon($icon)
    {
        $this->icon = $icon;
    }
    
    public function getMainStyle()
    {
        return $this->mainStyle;
    }

    protected function setMainStyle($mainStyle)
    {
        $this->mainStyle = $mainStyle;
    }    
    
    public function OnClick()
    {
        return $this->onClick;
    }      

}
