<?php

namespace Phem\Libraries\UI\Model;

use JsonSerializable;
use Phem\Core\Object;

/**
 *
 * @author kubapet
 */
class Change extends Object implements JsonSerializable
{
    private $type;
    private $data;
    
    private $objectName;
    private $attrName;

    public function getType()
    {
        return $this->type;
    }

    public function getData()
    {
        return $this->data;
    }

    public function setType($type)
    {
        $this->type = $type;
    }

    public function setData($data)
    {
        $this->data = $data;
    }
    
    public function getObjectName()
    {
        return $this->objectName;
    }

    public function getAttrName()
    {
        return $this->attrName;
    }

    public function setObjectName($objectName)
    {
        $this->objectName = $objectName;
    }

    public function setAttrName($attrName)
    {
        $this->attrName = $attrName;
    }    

    public function jsonSerialize()
    {
        return [
            'type' => $this->type,
            'data' => $this->data,
            'objectName' => $this->objectName,
            'attrName' => $this->attrName,
        ];
    }

}
