<?php

/**
 * @author Jakub Petržílka <petrzilka@czweb.net>
 */

/* INITIALIZATION */

/* Load framework configuration */
require_once('framework.conf.php');

/* Load site configuration */
require_once('application.conf.php');

/* 
 * Require framework class loader to deal with all dependencies 
 * These files are required minimum to initialize autoloading.
 */
require_once(FRAMEWORK_DIR . DS . "Core" . DS . 'MemberAccessException.php');
require_once(FRAMEWORK_DIR . DS . "Core" . DS . 'ObjectMixin.php');
require_once(FRAMEWORK_DIR . DS . "Core" . DS . 'Object.php');
require_once(FRAMEWORK_DIR . DS . "ClassLoading" . DS . 'Loader.php');      
require_once(FRAMEWORK_DIR . DS . "ClassLoading" . DS . 'FrameworkLoader.php');

/* Call Phem framework ClassLoader */

use Phem\ClassLoading\FrameworkLoader;

$frameworkLoader = new FrameworkLoader();
$frameworkLoader->commit();

/* Call 3rdParty dependency ClassLoader */

use Phem\ClassLoading\ThirdPartyLoader;

$thirdPartyLoader = new ThirdPartyLoader();
$thirdPartyLoader->commit();

/* Call application ClassLoaders */

use Phem\ClassLoading\ApplicationLoader;

$applicationLoader = new ApplicationLoader();
$applicationLoader->commit();
