<?php

namespace FreenetRouter\Libraries\ConfigEntryManagers;

/**
 * @author Jakub Petržílka <kubapet@lbcfree.net>
 */
class DomainManager implements IConfigEntryManager
{  
    public function getValue()
    {
        if (($f = fopen("/etc/resolv.conf","r"))) {
            while (!feof($f)) {            
                $value = preg_split("/[\ \t\n]+/", fgets($f,1024));
                if($value[0] == "search") 
                {
                    return $value[1];
                }
            }
            fclose($f);
        }
        // doména musí být zadaná!
        return "lbcfree.czf";
    }

    public function setValue($value)
    {
        
    }

}
