<?php

namespace FreenetRouter\Libraries\ConfigEntryManagers;

/**
 * @author Jakub Petržílka <kubapet@lbcfree.net>
 */
class InternalIPv4PoolManager implements IConfigEntryManager
{  
    public function getValue()
    {
        if (($f = fopen("/etc/init.d/firewall","r")))
        {	
            while (!feof($f)) {	    
                $value = preg_split("/[\ =\"\t\n]+/", fgets($f,1024));
                if ($value[0] == "INTERNAL_IP") {
                    return $value[1];
                }
            }
            fclose($f);
        }
        return "";
    }

    public function setValue($value)
    {
        $VALUE = $value;
        if(($soubor = fopen("/tmp/firewall","w")))
        {
            if(($f = fopen("/etc/init.d/firewall","r")))
            {
                $pom1 = false;
                while (!feof($f)) {
                    $value = fgets($f,1024);
                    $value_array = preg_split("/[\ \"=\t\n]+/", $value);
                    $value_array_pom = preg_split("/[#\n]+/", $value);
                    if (($value_array[0] == "INTERNAL_IP") && (!$pom1)) {
                        fwrite($soubor,"INTERNAL_IP=\"".$VALUE."\"\t#".$value_array_pom[1]."\n");
                        $pom1 = true;
                    } else {
                        fwrite($soubor,$value);
                    }
                }
                fclose($f);
            }
            fclose($soubor);
            exec("sudo /bin/cp /tmp/firewall /etc/init.d/firewall");
        }        
    }

}
