<?php

namespace FreenetRouter\Libraries\ConfigEntryManagers;

/**
 * @author Jakub Petržílka <kubapet@lbcfree.net>
 */
class PrimaryDnsManager implements IConfigEntryManager
{  
    public function getValue()
    {
        if (($f = fopen("/etc/resolvconf/resolv.conf.d/base","r"))) {        
            while (!feof($f)) {            
                $value = preg_split("/[\ \t\n]+/", fgets($f,1024));
                if ($value[0] == "nameserver") {
                    return $value[1];
                }
            }
            fclose($f);
        }
        return "";
    }

    public function setValue($value)
    {
        
    }

}
