<?php

namespace Phem\Libraries\Forms\Model;

/**
 * @Entity(readOnly=true) @Table(name="povruc_form_validation") 
 * 
 */
class FormFieldValidation
{
    /** @Id @Column(type="integer") */
    private $id;
    
    /** 
     * @ManyToOne(targetEntity="FormField",cascade={"all"})
     * @JoinColumn(name="field", referencedColumnName="id") 
     */
    private $field;
    
    /** @Column(type="string") */
    private $type;
    
    /** @Column(type="string") */
    private $errorMessage;
    
    public function getId()
    {
        return $this->id;
    }

    public function setId($id)
    {
        $this->id = $id;
    }

    public function getField()
    {
        return $this->field;
    }

    public function setField($field)
    {
        $this->field = $field;
    }

    public function getType()
    {
        return $this->type;
    }

    public function setType($type)
    {
        $this->type = $type;
    }

    public function getErrorMessage()
    {
        return $this->errorMessage;
    }

    public function setErrorMessage($errorMessage)
    {
        $this->errorMessage = $errorMessage;
    }
        
}

?>
