<?php

namespace Phem\Libraries\Security\Authentication;

use Phem\Environment\EnvironmentManager;

class MySQLAuthenticationProvider implements IAuthenticationProvider
{
    public function authenticate($username, $password)
    {
        
        $em = EnvironmentManager::getEntityManager();
        $user = $em->getRepository("Phem\Libraries\Security\Model\MySQL\User")
                ->findOneBy(array('username' => $username, 'password' => hash('sha512',$password)));
        if ($user != null)
            $em->detach($user);
        return $user;
    }   
}