<?php

namespace Phem\Libraries\Security\Model\MySQL;

use Doctrine\ORM\Mapping\JoinColumn;
use Doctrine\ORM\Mapping\ManyToOne;

/**
 * @Entity @Table(name="admin_membership") 
 */
class Membership
{

    /**
     * @Id @ManyToOne(targetEntity="User",cascade={"all"})
     * @JoinColumn(name="user", referencedColumnName="id") 
     */
    protected $user;

    /**
     * @Id @ManyToOne(targetEntity="Group",cascade={"all"})
     * @JoinColumn(name="groupId", referencedColumnName="id") 
     */
    protected $group;

    public function getUser()
    {
        return $this->user;
    }

    public function setUser($user)
    {
        $this->user = $user;
    }

    public function getGroup()
    {
        return $this->group;
    }

    public function setGroup($group)
    {
        $this->group = $group;
    }

}