<?php

namespace Phem\Views;

use Phem\Core\Collection;

/**
 *
 * @author kubapet
 */
abstract class View
{
    protected $template;
    protected $content;
    
    function __construct($template, Collection $content)
    {
        $this->template = $template;
        $this->content = $content;
    }

    public abstract function display();
}